Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.sql
Class SQLElementFactory

    java.lang.Object
      net.sf.saxon.sql.SQLElementFactory

All Implemented Interfaces:
  ExtensionElementFactory

    public class SQLElementFactory

extends Object
implements ExtensionElementFactory

Class SQLElementFactory.
A "Factory" for SQL extension nodes in the stylesheet tree.

Constructor Summary
`SQLElementFactory()`

Method Summary
`Class` | `getExtensionClass(String localname)` Identify the class to be used for stylesheet elements with a given local name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLElementFactory

    public SQLElementFactory()

Method Detail

### getExtensionClass

    public Class getExtensionClass(String localname)

  Identify the class to be used for stylesheet elements with a given local name. The returned class must extend net.sf.saxon.style.StyleElement

  Specified by:
    `getExtensionClass` in interface `ExtensionElementFactory`
  Returns:
    null if the local name is not a recognised element type in this namespace.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.